hive-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Lenni Kuff (JIRA)" <j...@apache.org>
Subject [jira] [Created] (HIVE-12406) HIVE-9500 introduced incompatible change to LazySimpleSerDe public interface
Date Fri, 13 Nov 2015 07:40:10 GMT
Lenni Kuff created HIVE-12406:
---------------------------------

             Summary: HIVE-9500 introduced incompatible change to LazySimpleSerDe public interface
                 Key: HIVE-12406
                 URL: https://issues.apache.org/jira/browse/HIVE-12406
             Project: Hive
          Issue Type: Bug
          Components: Serializers/Deserializers
    Affects Versions: 1.2.0
            Reporter: Lenni Kuff
            Priority: Blocker


In the process of fixing HIVE-9500, an incompatibility was introduced that will break 3rd
party code that relies on LazySimpleSerde. In HIVE-9500, the nested class SerDeParamaters
was removed and the method LazySimpleSerDe.initSerdeParms was also removed. They were replaced
by a standalone class LazySerDeParameters.

Since this has already been released, I don't think we should revert the change since that
would mean breaking compatibility again. Instead, the best approach would be to support both
interfaces, if possible. 



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message